
package com.steering.mes.zgmil.entity;

import java.io.Serializable;

/**
 * 数据库表MIL_FEED_PLAN所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-07-15
 */
public class FeedRowPlan implements Serializable{
	private static final long serialVersionUID = 1L;
    /**
     * 单倍长
     */
    private String dbLength;
    /**
     * 未使用长度
     */
    private String nonUseLength;
    /**
     * 断面
     */
    private String pipeSection;
    /**
     * 剔除单倍坯支数
     */
    private String scrapDbnum;
    /**
     * 合格支数
     */
    private String qualifiedNum;
    /**
     * 单倍重
     */
    private String dbHeight;
    /**
     * 上料行
     */
    private String feedRowNo;
    /**
     * 序号
     */
    private String seq;
    /**
     * 炉计划ResultNo
     */
    private String resultNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 倍尺数
     */
    private String dbNum;
    
    /***
     * 分切数
     */
    private String sawNum;
    /**
     * 目标长度
     */
    private String targetLength;
    
   
	/***
     * 规格
     */
    private String pipeSize;
	
	/**
     * 来料单支重量
     */
    private String matHeight;
    /**
     * 来料总重量
     */
    private String matTotalHeight;
    /**
     * 上料支数
     */
    private String feedNum;
    /**
     * 上料长度
     */
    private String feedLength;
    /**
     * 使用长度
     */
    private String useLength;
    /**
     * 切损去向
     */
    private String cutTarget;
    /**
     * 切损长度
     */
    private String cutLength;
    /**
     * 切损重量
     */
    private String cutWeight;
    /**
     * 上料剔除支数
     */
    private String scrapFeednum;
    /**
     * 锯切标识
     */
    private String sawFalg;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 交接班支数
     */
    private String changeNum;
    
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 查询开始结炉状态
     */
    private String startStatus;
    /**
     * 计划上料支数
     */
    private String feedNumPlan;    
    
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
    
    private String lotSeq;
    public String getLotSeq() {
		return lotSeq;
	}
	public void setLotSeq(String lotSeq) {
		this.lotSeq = lotSeq;
	}
    
    
    public FeedRowPlan(){
    	proPlanId = "";
		gxPlanNo = "";
    	startStatus = "";
        dbLength = "";
        nonUseLength = "";
        pipeSection = "";
        scrapDbnum = "";
        qualifiedNum = "";
        dbHeight = "";
        feedRowNo = "";
        seq = "";
        lotNo = "";
        stoveNo = "";
        resultNo = "";
        judgeStoveNo = "";
        plineCode = "";
        dbNum = "";
        matHeight = "";
        matTotalHeight = "";
        feedNum = "";
        feedLength = "";
        useLength = "";
        cutTarget = "";
        cutLength = "";
        cutWeight = "";
        scrapFeednum = "";
        sawFalg = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        changeNum = "";
        startTime = "";
        feedNumPlan="";   
        lotSeq="";
        sawNum = "";
        targetLength = "";
        pipeSize = "";
        }

    
    public String getTargetLength() {
		return targetLength;
	}
	public void setTargetLength(String targetLength) {
		this.targetLength = targetLength;
	}
	
	public String getPipeSize() {
		return pipeSize;
	}
	public void setPipeSize(String pipeSize) {
		this.pipeSize = pipeSize;
	}
    
    public String getSawNum() {
		return sawNum;
	}
	public void setSawNum(String sawNum) {
		this.sawNum = sawNum;
	}
    
    public String getStartStatus() {
		return startStatus;
	}
	public void setStartStatus(String startStatus) {
		this.startStatus = startStatus;
	}
	public String getStartTime() {
		return startTime;
	}

	public void setStratTime(String startTime) {
		this.startTime = startTime;
	}

	/**
     * 单倍长
     * @return value
     */
    public String getDbLength() {
        return dbLength;
    }

    /**
     * 单倍长
     * @param dbLength value
     */
    public void setDbLength(String dbLength) {
        this.dbLength = dbLength;
    }

    /**
     * 未使用长度
     * @return value
     */
    public String getNonUseLength() {
        return nonUseLength;
    }

    /**
     * 未使用长度
     * @param nonUseLength value
     */
    public void setNonUseLength(String nonUseLength) {
        this.nonUseLength = nonUseLength;
    }

    /**
     * 断面
     * @return value
     */
    public String getPipeSection() {
        return pipeSection;
    }

    /**
     * 断面
     * @param pipeSection value
     */
    public void setPipeSection(String pipeSection) {
        this.pipeSection = pipeSection;
    }

    /**
     * 剔除单倍坯支数
     * @return value
     */
    public String getScrapDbnum() {
        return scrapDbnum;
    }

    /**
     * 剔除单倍坯支数
     * @param scrapDbnum value
     */
    public void setScrapDbnum(String scrapDbnum) {
        this.scrapDbnum = scrapDbnum;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getQualifiedNum() {
        return qualifiedNum;
    }

    /**
     * 合格支数
     * @param qualifiedNum value
     */
    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    /**
     * 单倍重
     * @return value
     */
    public String getDbHeight() {
        return dbHeight;
    }

    /**
     * 单倍重
     * @param dbHeight value
     */
    public void setDbHeight(String dbHeight) {
        this.dbHeight = dbHeight;
    }

    /**
     * 上料行
     * @return value
     */
    public String getFeedRowNo() {
        return feedRowNo;
    }

    /**
     * 上料行
     * @param feedRowNo value
     */
    public void setFeedRowNo(String feedRowNo) {
        this.feedRowNo = feedRowNo;
    }


    
    public String getResultNo() {
		return resultNo;
	}

	public void setResultNo(String resultNo) {
		this.resultNo = resultNo;
	}

	/**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getDbNum() {
        return dbNum;
    }

    /**
     * 倍尺数
     * @param dbNum value
     */
    public void setDbNum(String dbNum) {
        this.dbNum = dbNum;
    }

    /**
     * 来料单支重量
     * @return value
     */
    public String getMatHeight() {
        return matHeight;
    }

    /**
     * 来料单支重量
     * @param matHeight value
     */
    public void setMatHeight(String matHeight) {
        this.matHeight = matHeight;
    }

    /**
     * 来料总重量
     * @return value
     */
    public String getMatTotalHeight() {
        return matTotalHeight;
    }

    /**
     * 来料总重量
     * @param matTotalHeight value
     */
    public void setMatTotalHeight(String matTotalHeight) {
        this.matTotalHeight = matTotalHeight;
    }

    /**
     * 上料支数
     * @return value
     */
    public String getFeedNum() {
        return feedNum;
    }

    /**
     * 上料支数
     * @param feedNum value
     */
    public void setFeedNum(String feedNum) {
        this.feedNum = feedNum;
    }

    /**
     * 上料长度
     * @return value
     */
    public String getFeedLength() {
        return feedLength;
    }

    /**
     * 上料长度
     * @param feedLength value
     */
    public void setFeedLength(String feedLength) {
        this.feedLength = feedLength;
    }

    /**
     * 使用长度
     * @return value
     */
    public String getUseLength() {
        return useLength;
    }

    /**
     * 使用长度
     * @param useLength value
     */
    public void setUseLength(String useLength) {
        this.useLength = useLength;
    }

    /**
     * 切损去向
     * @return value
     */
    public String getCutTarget() {
        return cutTarget;
    }

    /**
     * 切损去向
     * @param cutTarget value
     */
    public void setCutTarget(String cutTarget) {
        this.cutTarget = cutTarget;
    }

    /**
     * 切损长度
     * @return value
     */
    public String getCutLength() {
        return cutLength;
    }

    /**
     * 切损长度
     * @param cutLength value
     */
    public void setCutLength(String cutLength) {
        this.cutLength = cutLength;
    }

    /**
     * 切损重量
     * @return value
     */
    public String getCutWeight() {
        return cutWeight;
    }

    /**
     * 切损重量
     * @param cutWeight value
     */
    public void setCutWeight(String cutWeight) {
        this.cutWeight = cutWeight;
    }

    /**
     * 上料剔除支数
     * @return value
     */
    public String getScrapFeednum() {
        return scrapFeednum;
    }

    /**
     * 上料剔除支数
     * @param scrapFeednum value
     */
    public void setScrapFeednum(String scrapFeednum) {
        this.scrapFeednum = scrapFeednum;
    }

    /**
     * 锯切标识
     * @return value
     */
    public String getSawFalg() {
        return sawFalg;
    }

    /**
     * 锯切标识
     * @param sawFalg value
     */
    public void setSawFalg(String sawFalg) {
        this.sawFalg = sawFalg;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    
    /**
     * 交接班支数
     * @return value
     */
    public String getChangeNum() {
        return changeNum;
    }

    /**
     * 交接班支数
     * @param colGroup value
     */
    public void setChangeNum(String changeNum) {
        this.changeNum = changeNum;
    }
    
      /**
     * 计划上料支数
     * @return value
     */
    public String getFeedNumPlan() {
        return feedNumPlan;
    }

    /**
     * 计划上料支数
     * @param feedNumPlan value
     */
    public void setFeedNumPlan(String feedNumPlan) {
        this.feedNumPlan = feedNumPlan;
    }
    
    public String getProPlanId() {
		return proPlanId;
	}
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	public String getGxPlanNo() {
		return gxPlanNo;
	}
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
 
}